<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="volume-by-period" charttype="histogram">

 <lire:title>Volume Delivered By Period Email Report</lire:title>
 <lire:description>
  <para>
   This report shows the volume of delivered emails in configurable
   time period. 
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     deliveries are aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Volume Delivered By $period Period</lire:title>

  <lire:description>
   <para><note>
     <para>
      One email delivered to multiple destinations will be accounted
      for multiple times. For example, one 1K email sent to two
      recipients will count for 2K of volume.
     </para>
    </note>
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$stat" arg2="sent"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:sum name="vol" field="size" label="Volume"/>
   <lire:sum name="vol_ratio" field="size" ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
